BlockReq API

BlockReq provides a REST API to manage your account, RPC endpoints, Request Count, wallet value, API keys, notifications, and usage programmatically.

Getting Started

  1. Go to Dashboard → Settings to create an API Key
  2. Use the API Key as a Bearer token in the Authorization header
  3. Refer to the public OpenAPI documentation for all available endpoints

Interactive API Docs — View the deterministic public OpenAPI reference for BlockReq REST API endpoints

Dashboard Settings — Create and manage your API Keys

Authentication

All API requests require a valid API Key in the Authorization header:

curl -H "Authorization: Bearer BRQ1P0000000000000000000000000000000000000000000000000000" \ https://blockreq.com/api/dashboard/credits

Available Resources

ResourceDescription
EndpointsCreate, list, and manage RPC endpoints
Request Count & walletCheck Requests remaining, Wallet balance, wallet top-ups, and transactions
BillingView payment history and manage payment methods
TeamsManage team members and invitations
API KeysCreate and revoke API keys
PlansView the effective plan and switch self-serve billing modes

For the full list of public endpoints and request/response schemas, visit the Interactive API Docs. Use Dashboard Settings to create or rotate API keys.